Wallet Infrastructure
Wallet Infrastructure
Wallets

Create wallet

POST
/v1/wallets

Requires scope wallets:create.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Header Parameters

x-customer-id?string

Scope the wallet to a business-supplied customer id

Request Body

application/json
  1. body
moduleId*string
Value in"evm_erc4337""bitcoin""spark""solana""tron""ton"
isTreasury?boolean
passkeyRegistration*

Response Body

201application/json

Wallet created

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X POST 'https://api.pilot.shiga.io/v1/wallets' \  -H 'x-customer-id: <customer id>' \  -H 'Authorization: Bearer sk_test_...' \  -H 'Content-Type: application/json' \  -d '{  "moduleId": "evm_erc4337",  "passkeyRegistration": {    "credentialId": "string",    "credentialPublicKey": "string",    "rpId": "string",    "origins": [      "string"    ]  }}'
Example Response
{  "data": {    "entityKey": "string",    "moduleId": "evm_erc4337",    "businessId": "50092e54-cd12-4059-9828-e8c4ee9a3cf5",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "customerId": "string",    "treasury": true,    "chain": "evm",    "address": "string",    "passkeyPublicKey": {      "x": "string",      "y": "string"    }  },  "status": 201,  "success": true}